libpython2_7-1_0-32bit-2.7.16-1.1.x86_64.rpm


Advertisement

Description

libpython2_7-1_0-32bit - Python Interpreter shared library

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libpython2_7-1_0-32bit-2.7.16-1.1.x86_64.rpm
Package name libpython2_7-1_0-32bit
Package version 2.7.16
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Languages/Python
Homepage http://www.python.org/
License Python-2.0
Maintainer -
Download size 827.13 KB
Installed size 2.22 MB
Python is an interpreted, object-oriented programming language, and is
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python-doc
(HTML) or python-doc-pdf (PDF) packages.
This package contains libpython2.7 shared library for embedding in
other applications.

Alternatives

Package Version Architecture Repository
libpython2_7-1_0-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.28) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -

Provides

Name Value
libpython2.7.so.1.0 -
libpython2_7-1_0-32bit = 2.7.16-1.1
libpython2_7-1_0-32bit(x86-32) = 2.7.16-1.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libpython2_7-1_0-32bit-2.7.16-1.1.x86_64.rpm
Source Package python-base-2.7.16-1.1.src.rpm

Install Howto

Install libpython2_7-1_0-32bit rpm package:

# zypper install libpython2_7-1_0-32bit

Files

Path
/usr/lib/libpython2.7.so.1.0

Changelog

2019-04-08 - Matej Cepl <mcepl@suse.com>
- bsc#1130847 (CVE-2019-9948) add CVE-2019-9948-avoid_local-file.patch
removing unnecessary (and potentially harmful) URL scheme
local-file://.
2019-04-08 - Matej Cepl <mcepl@suse.com>
- bsc#1129346: add CVE-2019-9636-netloc-no-decompose-characters.patch
Characters in the netloc attribute that decompose under NFKC
normalization (as used by the IDNA encoding) into any of ``/``,
``?``, ``#``, ``@``, or ``:`` will raise a ValueError. If the
URL is decomposed before parsing, or is not a Unicode string,
no error will be raised.
Upstream commits e37ef41 and 507bd8c.
2019-04-04 - Matej Cepl <mcepl@suse.com>
- Update to 2.7.16:
* bugfix-only release: complete list of changes on
https://github.com/python/cpython/blob/2.7/Misc/NEWS.d/2.7.16rc1.rst
* Removed openssl-111.patch and CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch
which are fully included in the tarball.
* Updated patches to apply cleanly:
CVE-2019-5010-null-defer-x509-cert-DOS.patch
bpo36160-init-sysconfig_vars.patch
do-not-use-non-ascii-in-test_ssl.patch
openssl-111-middlebox-compat.patch
openssl-111-ssl_options.patch
python-2.5.1-sqlite.patch
python-2.6-gettext-plurals.patch
python-2.7-dirs.patch
python-2.7.2-fix_date_time_compiler.patch
python-2.7.4-canonicalize2.patch
python-2.7.5-multilib.patch
python-2.7.9-ssl_ca_path.patch
python-bsddb6.diff
remove-static-libpython.diff
* Update python-2.7.5-multilib.patch to pass with new platlib
regime.
2019-01-19 - mcepl@suse.com
- bsc#1122191: add CVE-2019-5010-null-defer-x509-cert-DOS.patch
fixing bpo-35746.
An exploitable denial-of-service vulnerability exists in the
X509 certificate parser of Python.org Python 2.7.11 / 3.7.2.
A specially crafted X509 certificate can cause a NULL pointer
dereference, resulting in a denial of service. An attacker can
initiate or accept TLS connections using crafted certificates
to trigger this vulnerability.
2018-12-19 - Todd R <toddrme2178@gmail.com>
- Use upstream-recommended %{_rpmconfigdir}/macros.d directory
for the rpm macros.
2018-10-26 - Tomá? Chvátal <tchvatal@suse.com>
- Add patch openssl-111.patch to work with openssl-1.1.1
2018-09-26 - Mat?j Cepl <mcepl@suse.com>
- Apply "CVE-2018-1000802-shutil_use_subprocess_no_spawn.patch" which
converts shutil._call_external_zip to use subprocess rather than
distutils.spawn. [bsc#1109663, CVE-2018-1000802]
2018-05-21 - michael@stroeder.com
- update to 2.7.15
* dozens of bugfixes, see NEWS for details
- removed obsolete patches:
* python-ncurses-6.0-accessors.patch
* python-fix-shebang.patch
* gcc8-miscompilation-fix.patch
- add patch from upstream:
* do-not-use-non-ascii-in-test_ssl.patch
2018-04-06 - mliska@suse.cz
- Add gcc8-miscompilation-fix.patch (boo#1084650).
2018-02-20 - bwiedemann@suse.com
- Add python-sorted_tar.patch (boo#1081750)

See Also

Package Description
libpython3_7m1_0-3.7.2-3.1.i586.rpm Python Interpreter shared library
libpython3_7m1_0-3.7.2-3.1.x86_64.rpm Python Interpreter shared library
libpython3_7m1_0-32bit-3.7.2-3.1.x86_64.rpm Python Interpreter shared library
libpyzy-1_0-0-1.0git20120805-9.2.i586.rpm Libraries for pyzy
libpyzy-1_0-0-1.0git20120805-9.2.x86_64.rpm Libraries for pyzy
libqalculate-devel-3.1.0-1.1.i586.rpm Header files, libraries and development documentation for libqalculate
libqalculate-devel-3.1.0-1.1.x86_64.rpm Header files, libraries and development documentation for libqalculate
libqalculate21-3.1.0-1.1.i586.rpm Calulator Library
libqalculate21-3.1.0-1.1.x86_64.rpm Calulator Library
libqb-devel-1.0.3+20190326.a521604-1.1.i586.rpm Development files for libqb
libqb-devel-1.0.3+20190326.a521604-1.1.x86_64.rpm Development files for libqb
libqb-devel-32bit-1.0.3+20190326.a521604-1.1.x86_64.rpm Development files for libqb
libqb-tests-1.0.3+20190326.a521604-1.1.i586.rpm Test suite for libqb
libqb-tests-1.0.3+20190326.a521604-1.1.x86_64.rpm Test suite for libqb
libqb-tools-1.0.3+20190326.a521604-1.1.i586.rpm Utilities from libqb, an IPC library
Advertisement
Advertisement